unit StringUtilsUnit;

interface

function CommaSeparated(const Values: array of WideString): WideString; overload;

function RemoveWhiteSpace(const Original: string): string;

function AnsiStartsAnyText(const ASubTexts: array of string; const AText: string): Boolean;

function CreateNewGuidString: string;

implementation

uses
  StrUtils, SysUtils;

function CommaSeparated(const Values: array of WideString): WideString;
var
  Value: WideString;
begin
  Result := '';
  for Value in Values do
    if Result = '' then
      Result := Value
    else
      Result := Format('%s, %s', [Result, Value]);
end;

function RemoveWhiteSpace(const Original: string): string;
var
  I: Integer;
begin
  Result := Original;
  for I := Length(Result) downto 1 do
    if Result[I] <= ' ' then
      Delete(Result, I, 1);
end;

function AnsiStartsAnyText(const ASubTexts: array of string; const AText: string): Boolean;
var
  SubText: string;
begin
  Result := False;
  for SubText in ASubTexts do
  begin
    Result := AnsiStartsText(SubText, AText);
    if Result then
      Break;
  end;
end;

function CreateNewGuidString: string;
var
  NewGUID: TGUID;
begin
  CreateGUID(NewGUID);
  Result := GUIDToString(NewGUID);
end;

end.
